Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.groups
Interface ILockableGroupService

All Superinterfaces:
  IGroupService

All Known Implementing Classes:
  ReferenceGroupService, ReferenceIndividualGroupService

    public interface ILockableGroupService

extends IGroupService

Extends IGroupService with methods for finding and maintaining `ILockableEntityGroups`.

Version:
  $Revision: 1.3 $
Author:
  Dan Ellentuck

Method Summary
`void` | `deleteGroup(ILockableEntityGroup group)` Removes the `ILockableEntityGroup` from the store.
`ILockableEntityGroup` | `findGroupWithLock(java.lang.String key, java.lang.String owner)` Returns a pre-existing `ILockableEntityGroup` or null if the group is not found.
`ILockableEntityGroup` | `findGroupWithLock(java.lang.String key, java.lang.String owner, int durationSecs)` Returns a pre-existing `ILockableEntityGroup` or null if the group is not found.
`void` | `updateGroup(ILockableEntityGroup group)` Commits the updated `ILockableEntityGroup` to the store.
`void` | `updateGroup(ILockableEntityGroup group, boolean renewLock)` Commits the updated `ILockableEntityGroup` to the store and renews the lock.
`void` | `updateGroupMembers(ILockableEntityGroup group)` Commits the updated `ILockableEntityGroup` to the store.
`void` | `updateGroupMembers(ILockableEntityGroup group, boolean renewLock)` Commits the updated `ILockableEntityGroup` to the store and renews the lock.

Methods inherited from interface org.jasig.portal.groups.IGroupService
`deleteGroup, findContainingGroups, findGroup, findMemberGroups, getEntity, getGroupMember, getGroupMember, getGroupStore, newGroup, searchForEntities, searchForEntities, searchForGroups, searchForGroups, updateGroup, updateGroupMembers`

Method Detail

### deleteGroup

    void deleteGroup(ILockableEntityGroup group)
                     throws GroupsException

  Removes the `ILockableEntityGroup` from the store.

  Throws:
    `GroupsException`

### findGroupWithLock

    ILockableEntityGroup findGroupWithLock(java.lang.String key,
                                           java.lang.String owner)
                                           throws GroupsException

  Returns a pre-existing `ILockableEntityGroup` or null if the group is not found.

  Parameters:
    `key` - String - the group key.
    `owner` - String - the lock owner.
  Returns:
    org.jasig.portal.groups.ILockableEntityGroup
  Throws:
    `GroupsException`

### findGroupWithLock

    ILockableEntityGroup findGroupWithLock(java.lang.String key,
                                           java.lang.String owner,
                                           int durationSecs)
                                           throws GroupsException

  Returns a pre-existing `ILockableEntityGroup` or null if the group is not found.

  Parameters:
    `key` - String - the group key.
    `owner` - String - the lock owner.
    `durationSecs` - int - the duration of the lock in seconds.
  Returns:
    org.jasig.portal.groups.ILockableEntityGroup
  Throws:
    `GroupsException`

### updateGroup

    void updateGroup(ILockableEntityGroup group)
                     throws GroupsException

  Commits the updated `ILockableEntityGroup` to the store.

  Throws:
    `GroupsException`

### updateGroupMembers

    void updateGroupMembers(ILockableEntityGroup group)
                            throws GroupsException

  Commits the updated `ILockableEntityGroup` to the store.

  Throws:
    `GroupsException`

### updateGroup

    void updateGroup(ILockableEntityGroup group,
                     boolean renewLock)
                     throws GroupsException

  Commits the updated `ILockableEntityGroup` to the store and renews the lock.

  Throws:
    `GroupsException`

### updateGroupMembers

    void updateGroupMembers(ILockableEntityGroup group,
                            boolean renewLock)
                            throws GroupsException

  Commits the updated `ILockableEntityGroup` to the store and renews the lock.

  Throws:
    `GroupsException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD